<?php
// vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker:
/**
 * Objeto asociado a una tabla de la base de datos.
 * Parcialmente generado por DB_DataObject.
 *
 * PHP version 5
 *
 * @category  SIVeL
 * @package   SIVeL
 * @author    Vladimir Támara <vtamara@pasosdeJesus.org>
 * @copyright 2004 Dominio público. Sin garantías.
 * @license   http://creativecommons.org/licenses/publicdomain/ Dominio Público. Sin garantías.
 * @version   $Id: Tipo_violencia.php,v 1.28 2009/04/29 14:45:54 vtamara Exp $
 * @link      http://sivel.sf.net
 */

/**
 * Definicion para la tabla tipo_violencia.
 */
require_once 'DB/DataObject.php';

/**
 * Definicion para la tabla tipo_violencia.
 * Ver documentación de DataObjects_Caso.
 *
 * @category SIVeL
 * @package  SIVeL
 * @author   Vladimir Támara <vtamara@pasosdeJesus.org>
 * @license  http://creativecommons.org/licenses/publicdomain/ Dominio Público.
 * @link     http://sivel.sf.net/tec
 * @see      DataObjects_Caso
 */
class DataObjects_Tipo_violencia extends DB_DataObject 
{
    // START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'tipo_violencia';                  // table name
    var $id;                              // varchar(-1)  not_null primary_key
    var $nombre;                          // varchar(-1)  not_null
    var $nomcorto;                          // varchar(-1)  not_null
    var $fecha_creacion;                  // date(4)  not_null
    var $fecha_deshabilitacion;           // date(4)  

    /**
     * ZE2 compatibility trick
     *
     * @return copia del objeto
     */
    function __clone() 
    {
        return $this;
    }

    /**
     * Static get
     *
     * @param mixed $k Llave
     * @param mixed $v Valor
     *
     * @return Registro cuya llave sea el valor.
     */
    function staticGet($k, $v = null) 
    {
        return DB_DataObject::staticGet('DataObjects_Tipo_violencia', $k, $v);
    }

    /* the code above is auto generated do not remove the tag below */
    // END_AUTOCODE

    var $fb_dateFields = array('fecha_creacion', 'fecha_deshabilitacion');
    var $fb_linkDisplayFields = array('nombre');
    var $fb_selectAddEmpty = array('fecha_deshabilitacion');
    var $fb_select_display_field = 'nomcorto';

    var $nom_tabla = 'Tipo de violencia';

    /**
     * Pone un valor en la base diferente al recibido del formulario.
     *
     * @param string $valor Valor en formulario
     *
     * @return Valor para BD
     */
    function setfecha_deshabilitacion($valor) 
    {
        $this->fecha_deshabilitacion = ($valor == '0000-00-00') ? 'null' : $valor;
    }

    /**
     * Convierte valor de base a formulario.
     *
     * @param string $valor Valor en base
     *
     * @return Valor para formulario
     */
    function getfecha_deshabilitacion($valor) 
    {
        $this->fecha_deshabilitacion = ($valor == '0000-00-00') ? 'null' : $valor;
    }


    /**
     * Opciones de fecha para un campo
     *
     * @param string &$field campo
     *
     * @return arreglo de opciones
     */
    function dateOptions(&$field)
    {
    return array('language' => 'es',
        'format' => 'dMY',
        'minYear' => $GLOBALS['anio_min'],
        'maxYear' => 2025);
    }

      
    /**
     * Ajusta formulario generado.
     *
     * @param object &$form      Formulario HTML_QuickForm
     * @param object &$formbuild Generador DataObject_FormBuilder
     *
     * @return void
     */
    function postGenerateForm(&$form, &$formbuild)
    {
        $h =& $form->getElement('__header__');
        if (PEAR::isError($h)) {
            $h =& $form->getElement(null);
        }

        $h->setValue($this->nom_tabla);
        $f =& $form->getElement('fecha_deshabilitacion');
        if (!isset($this->fecha_deshabilitacion) ||
            $this->fecha_deshabilitacion == '') {
            $f->_elements[0]->setValue('');
            $f->_elements[1]->setValue('');
            $f->_elements[2]->setValue('');
        }
    }

}

?>
